

# [ADDON] GRADIENTS

All gradients cut and pasted from cssgradient.io ;)

### Docs

http://tachyons.io/docs/themes/gradients/

### Base

`gradient` = background-color

### Modifiers

- `-gradient-name` = dark-blue, lily, aqua, etc


### Stats

392 | 7 | 7
---|---|---
bytes | selectors | declarations

## Installation

#### With [npm](https://npmjs.com)

```
npm install --save-dev tachyons
```

Learn more about using css installed with npm:
* https://webpack.github.io/docs/stylesheets.html
* https://github.com/defunctzombie/npm-css

#### With Git

http:
```
git clone https://github.com/tachyons-css/tachyons
```

ssh:
```
git clone git@github.com:tachyons-css/tachyons.git
```

## Usage

#### Using with [Postcss](https://github.com/postcss/postcss)

Import the css module

```css
@import "tachyons";
```

Then process the css using the [`tachyons-cli`](https://github.com/tachyons-css/tachyons-cli)

```sh
$ npm i -g tachyons-cli
$ tachyons path/to/css-file.css > dist/t.css
```

#### Using the css

##### CDN
The easiest and most simple way to use the css is to use the cdn hosted version. Include it in the head of your html with:

```
<link rel="stylesheet" href="http://unpkg.com/tachyons@7.0.1-5/css/tachyons.min.css" />
```

##### Locally
The built css is located in the `css` directory. It contains an unminified and minified version.
You can either cut and paste that css or link to it directly in your html.

```html
<link rel="stylesheet" href="path/to/module/css/tachyons">
```

#### Development

The source css files can be found in the `src` directory.
Running `$ npm start` will process the source css and place the built css in the `css` directory.

## The css

```css
/*!!!

# [ADDON] GRADIENTS

All gradients cut and pasted from cssgradient.io ;)

### Docs

http://tachyons.io/docs/themes/gradients/

### Base

`gradient` = background-color

### Modifiers

- `-gradient-name` = dark-blue, lily, aqua, etc
*/
.gradient-dark-blue { background: linear-gradient( 90deg, #4b6cb7 0%, #182848 100% ); }
.gradient-charcoal { background: linear-gradient( 90deg, rgba( 44, 56, 68, 1 ) 0%, rgba( 23, 32, 42, 1 ) 100% ); }
.gradient-moon-gray { background: linear-gradient( 211deg, rgba( 234, 236, 238, 1 ) 0%, rgba( 234, 236, 238, 1 ) 100% ); }
.gradient-lily { background: linear-gradient( 90deg, #efd5ff 0%, #515ada 100% ); }
.gradient-aqua { background: linear-gradient( 90deg, #00d2ff 0%, #3a47d5 100% ); }
.gradient-purple { background: linear-gradient( 90deg, #3f2b96 0%, #a8c0ff 100% ); }
.gradient-green { background: linear-gradient( 90deg, #9ebd13 0%, #008552 100% ); }
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## Authors

* [mrmrs](http://mrmrs.io)
* [johno](http://johnotander.com)

## License

ISC

